Page MenuHomePhabricator

Add Sundanese Font
Closed, ResolvedPublic

Event Timeline

Uchup19 created this task.Apr 5 2017, 3:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2017, 3:50 AM
Uchup19 reassigned this task from KartikMistry to Aklapper.Apr 5 2017, 5:26 AM
Uchup19 added a subscriber: KartikMistry.

Hi @Uchup19, thanks for taking the time to report this! Please do not assign tasks to people without their consent (especially if those people can do nothing to fix your task :) ). See https://www.mediawiki.org/wiki/How_to_report_a_bug . Thanks!

The attachment here includes two TTF files and they cannot be used due to file format and missing license information:

Name: Sundanese Unicode 2013
Copyright: Tim Unicode Aksara Sunda  `2011
Description: This font was created using FontForge (http://fontforge.sf.net)

and

Name: Prada
Copyright: Team Prada © (PRADA programer font aksara sunda - facebook ). <2015>. All rights reserved.
Description: This font was created using FontCreator 8.0 from High-Logic.com

If you are aware of a font under a free license, please link to it.

If you would like to contribute webfonts, please provide patches which will get reviewed. Helpful documentation is available at https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts and developer access

Aklapper removed Aklapper as the assignee of this task.Apr 5 2017, 10:17 AM

Hi @Aklapper, I'm sorry assigned you to this is. For the prada license can see here https://sites.google.com/site/fontsundaprada/lisensi
And what the file format could accepted?

Hi @Aklapper, here is Sundanese-Prada font as woff and eot file format.
Thanks.

For the prada license can see here https://sites.google.com/site/fontsundaprada/lisensi

CC BY-NC-ND 4.0 is not a free license as "You may not use the material for commercial purposes" :(

For the prada license can see here https://sites.google.com/site/fontsundaprada/lisensi

CC BY-NC-ND 4.0 is not a free license as "You may not use the material for commercial purposes" :(

No problem, I will create my own sundanese font and licensing it to free license. Wait for 4 day later.

To avoid going into a wrong direction, I recommend again to throughly check https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts - thanks :)

I have linked to https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts twice so far. Have you read it? It would answer your question. :)

I don't know how to submit it. No, problem if you can't help me, thanks very much.

My last hope :(

NotoSansSundanese font license is fine. I've also updated "Adding font" instruction so, you need woff and woff2 files from ttf. Let me know if you've difficulties, we can surely help you if you're stuck somewhere!

Hi @KartikMistry, here are woff and woff2 available, thanks.

Hi @KartikMistry, Do I have to set the font by my self?

What do you mean by "set"? If you refer to a specific part / sentence of https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts which is unclear, please mention that sentence and what is unclear about it. Thanks a lot! :)

Upload them the mean

Yes. Please submit the patch. If you need help for any specific part, we will be happy to help!

Where i have to submit them?

Reedy added a subscriber: Reedy.Apr 7 2017, 10:49 PM

Where i have to submit them?

You need to submit a change to gerrit

https://www.mediawiki.org/wiki/Gerrit/Tutorial

I can not do them

I need video tutorials

Zppix added a subscriber: Zppix.EditedApr 7 2017, 11:01 PM

I'll look into it and see if I cant submit on your behalf. Edit: As im not familar with the extension I cannot submit the change myself comfortably. Sorry!

Yeah, I cannot submit the change myself comfortably. Sorry! Anyone wanna help me?

OK. I will submit patch for this.

Change 347350 had a related patch set uploaded (by KartikMistry):
[mediawiki/extensions/UniversalLanguageSelector@master] Add Sundanese font

https://gerrit.wikimedia.org/r/347350

Change 347350 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Add Sundanese font

https://gerrit.wikimedia.org/r/347350

Amire80 closed this task as Resolved.May 2 2017, 6:38 AM